org.apache.cassandra.db.partitions

## Interface PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder

Enclosing interface:
  PartitionUpdate.SimpleBuilder

    public static interface PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder

Interface to build range tombstone. By default, if no other methods are called, the represented range is inclusive of both start and end and includes everything (its start is `BOTTOM` and it's end is `TOP`).

### Method Summary

All Methods Instance Methods Abstract Methods
`PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder` `end(java.lang.Object... values)` Sets the end for the built range using the provided values.
`PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder` `exclEnd()` Sets the end of this range as exclusive.
`PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder` `exclStart()` Sets the start of this range as exclusive.
`PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder` `inclEnd()` Sets the end of this range as inclusive.
`PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder` `inclStart()` Sets the start of this range as inclusive.
`PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder` `start(java.lang.Object... values)` Sets the start for the built range using the provided values.

### Method Detail

#### start

    PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder start(java.lang.Object... values)

Sets the start for the built range using the provided values.

Parameters:
  `values` - the value for the start of the range. They act like the `clusteringValues` argument of the `PartitionUpdate.SimpleBuilder.row(Object...)` method, except that it doesn't have to be a full clustering, it can only be a prefix.
Returns:
  this builder.

#### end

    PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder end(java.lang.Object... values)

Sets the end for the built range using the provided values.

Parameters:
  `values` - the value for the end of the range. They act like the `clusteringValues` argument of the `PartitionUpdate.SimpleBuilder.row(Object...)` method, except that it doesn't have to be a full clustering, it can only be a prefix.
Returns:
  this builder.

#### inclStart

    PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder inclStart()

Sets the start of this range as inclusive.

This is the default and don't need to be called, but can for explicitness.

Returns:
  this builder.

#### exclStart

    PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder exclStart()

Sets the start of this range as exclusive.

Returns:
  this builder.

#### inclEnd

    PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder inclEnd()

Sets the end of this range as inclusive.

This is the default and don't need to be called, but can for explicitness.

Returns:
  this builder.

#### exclEnd

    PartitionUpdate.SimpleBuilder.RangeTombstoneBuilder exclEnd()

Sets the end of this range as exclusive.

Returns:
  this builder.